Package com.io7m.jregions.core.parameterized.volumes

# Class PVolumeD.Builder<S>

java.lang.Object
com.io7m.jregions.core.parameterized.volumes.PVolumeD.Builder<S>

Enclosing class:
  PVolumeD<S>

    public static final class PVolumeD.Builder<S>
    extends java.lang.Object

Builds instances of type `PVolumeD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PVolumeD<S>` | `build()` | Builds a new `PVolumeD`.
  `PVolumeD.Builder<S>` | `from​(PVolumeDType<S> instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.volumes.PVolumeDType` instance.
  `PVolumeD.Builder<S>` | `from​(VolumeValuesDType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesDType` instance.
  `PVolumeD.Builder<S>` | `setMaximumX​(double maximumX)` | Initializes the value for the `maximumX` attribute.
  `PVolumeD.Builder<S>` | `setMaximumY​(double maximumY)` | Initializes the value for the `maximumY` attribute.
  `PVolumeD.Builder<S>` | `setMaximumZ​(double maximumZ)` | Initializes the value for the `maximumZ` attribute.
  `PVolumeD.Builder<S>` | `setMinimumX​(double minimumX)` | Initializes the value for the `minimumX` attribute.
  `PVolumeD.Builder<S>` | `setMinimumY​(double minimumY)` | Initializes the value for the `minimumY` attribute.
  `PVolumeD.Builder<S>` | `setMinimumZ​(double minimumZ)` | Initializes the value for the `minimumZ` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final PVolumeD.Builder<S> from​(PVolumeDType<S> instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.volumes.PVolumeDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final PVolumeD.Builder<S> from​(VolumeValuesDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumX

    public final PVolumeD.Builder<S> setMinimumX​(double minimumX)
    Initializes the value for the `minimumX` attribute.
    Parameters:
      `minimumX` - The value for minimumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumX

    public final PVolumeD.Builder<S> setMaximumX​(double maximumX)
    Initializes the value for the `maximumX` attribute.
    Parameters:
      `maximumX` - The value for maximumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumY

    public final PVolumeD.Builder<S> setMinimumY​(double minimumY)
    Initializes the value for the `minimumY` attribute.
    Parameters:
      `minimumY` - The value for minimumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumY

    public final PVolumeD.Builder<S> setMaximumY​(double maximumY)
    Initializes the value for the `maximumY` attribute.
    Parameters:
      `maximumY` - The value for maximumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumZ

    public final PVolumeD.Builder<S> setMinimumZ​(double minimumZ)
    Initializes the value for the `minimumZ` attribute.
    Parameters:
      `minimumZ` - The value for minimumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumZ

    public final PVolumeD.Builder<S> setMaximumZ​(double maximumZ)
    Initializes the value for the `maximumZ` attribute.
    Parameters:
      `maximumZ` - The value for maximumZ
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public PVolumeD<S> build()
    Builds a new `PVolumeD`.
    Returns:
      An immutable instance of PVolumeD
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing